###############################################################################
#	Filename:	Disruptor.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Script for filling in the attributes of disruptor blasts.
#	
#	Created:	11/3/00 -	Erik Novales
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a disruptor blast.
#	
#	Args:	pTorp - the "torpedo", ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(255.0 / 255.0, 0.0 / 255.0, 0.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 0.0 / 255.0, 0.0 / 1.0, 1.000000)

	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TARG_TOS_Tholian_Disruptor.tga",
					kCoreColor, 
					3.0,
					0.0,                    
					"data/Textures/Tactical/TARG_TOS_Tholian_Disruptor.tga", 
					kGlowColor,
					3.0,	
					0.3,	 
					0.6,	
					"data/Textures/Tactical/TARG_TOS_Tholian_Disruptor.tga",
					kGlowColor,										
					8,		
					0.7,		
					0.4)
                    
	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.13)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.DISRUPTOR)

	return(0)

def GetLaunchSpeed():
	return(43.0)

def GetLaunchSound():
	return("TOS-disruptor")

def GetPowerCost():
	return(10.0)

def GetName():
	return("Tholian Disruptor")

def GetDamage():
	return 850.0

def GetGuidanceLifetime():
	return 4.0

def GetMaxAngularAccel():
	return 0.125

def GetLifetime():
	return 8.0
